Package io.dapr.v1

# Class DaprProtos.PubsubSubscription.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>
io.dapr.v1.DaprProtos.PubsubSubscription.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.PubsubSubscriptionOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.PubsubSubscription

public static final class DaprProtos.PubsubSubscription.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder> implements DaprProtos.PubsubSubscriptionOrBuilder
Protobuf type `dapr.proto.runtime.v1.PubsubSubscription`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.PubsubSubscription.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.PubsubSubscription`
`build()`
`DaprProtos.PubsubSubscription`
`buildPartial()`
`DaprProtos.PubsubSubscription.Builder`
`clear()`
`DaprProtos.PubsubSubscription.Builder`
`clearDeadLetterTopic()`
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`
`DaprProtos.PubsubSubscription.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.PubsubSubscription.Builder`
`clearMetadata()`
`DaprProtos.PubsubSubscription.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.PubsubSubscription.Builder`
`clearPubsubName()`
`string pubsub_name = 1 [json_name = "pubsubname"];`
`DaprProtos.PubsubSubscription.Builder`
`clearRules()`
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`DaprProtos.PubsubSubscription.Builder`
`clearTopic()`
`string topic = 2 [json_name = "topic"];`
`DaprProtos.PubsubSubscription.Builder`
`clearType()`
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`
`DaprProtos.PubsubSubscription.Builder`
`clone()`
`boolean`
`containsMetadata(String key)`
`map<string, string> metadata = 3 [json_name = "metadata"];`
`String`
`getDeadLetterTopic()`
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`
`com.google.protobuf.ByteString`
`getDeadLetterTopicBytes()`
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`
`DaprProtos.PubsubSubscription`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
`map<string, string> metadata = 3 [json_name = "metadata"];`
`Map<String,String>`
`getMetadataMap()`
`map<string, string> metadata = 3 [json_name = "metadata"];`
`String`
`getMetadataOrDefault(String key, String defaultValue)`
`map<string, string> metadata = 3 [json_name = "metadata"];`
`String`
`getMetadataOrThrow(String key)`
`map<string, string> metadata = 3 [json_name = "metadata"];`
`Map<String,String>`
`getMutableMetadata()`
Deprecated.
`String`
`getPubsubName()`
`string pubsub_name = 1 [json_name = "pubsubname"];`
`com.google.protobuf.ByteString`
`getPubsubNameBytes()`
`string pubsub_name = 1 [json_name = "pubsubname"];`
`DaprProtos.PubsubSubscriptionRules`
`getRules()`
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`DaprProtos.PubsubSubscriptionRules.Builder`
`getRulesBuilder()`
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`DaprProtos.PubsubSubscriptionRulesOrBuilder`
`getRulesOrBuilder()`
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`String`
`getTopic()`
`string topic = 2 [json_name = "topic"];`
`com.google.protobuf.ByteString`
`getTopicBytes()`
`string topic = 2 [json_name = "topic"];`
`DaprProtos.PubsubSubscriptionType`
`getType()`
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`
`int`
`getTypeValue()`
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`
`boolean`
`hasRules()`
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMapFieldReflection(int number)`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMutableMapFieldReflection(int number)`
`final boolean`
`isInitialized()`
`DaprProtos.PubsubSubscription.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.PubsubSubscription.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.PubsubSubscription.Builder`
`mergeFrom(DaprProtos.PubsubSubscription other)`
`DaprProtos.PubsubSubscription.Builder`
`mergeRules(DaprProtos.PubsubSubscriptionRules value)`
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`final DaprProtos.PubsubSubscription.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.PubsubSubscription.Builder`
`putAllMetadata(Map<String,String> values)`
`map<string, string> metadata = 3 [json_name = "metadata"];`
`DaprProtos.PubsubSubscription.Builder`
`putMetadata(String key, String value)`
`map<string, string> metadata = 3 [json_name = "metadata"];`
`DaprProtos.PubsubSubscription.Builder`
`removeMetadata(String key)`
`map<string, string> metadata = 3 [json_name = "metadata"];`
`DaprProtos.PubsubSubscription.Builder`
`setDeadLetterTopic(String value)`
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`
`DaprProtos.PubsubSubscription.Builder`
`setDeadLetterTopicBytes(com.google.protobuf.ByteString value)`
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`
`DaprProtos.PubsubSubscription.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.PubsubSubscription.Builder`
`setPubsubName(String value)`
`string pubsub_name = 1 [json_name = "pubsubname"];`
`DaprProtos.PubsubSubscription.Builder`
`setPubsubNameBytes(com.google.protobuf.ByteString value)`
`string pubsub_name = 1 [json_name = "pubsubname"];`
`DaprProtos.PubsubSubscription.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.PubsubSubscription.Builder`
`setRules(DaprProtos.PubsubSubscriptionRules value)`
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`DaprProtos.PubsubSubscription.Builder`
`setRules(DaprProtos.PubsubSubscriptionRules.Builder builderForValue)`
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`DaprProtos.PubsubSubscription.Builder`
`setTopic(String value)`
`string topic = 2 [json_name = "topic"];`
`DaprProtos.PubsubSubscription.Builder`
`setTopicBytes(com.google.protobuf.ByteString value)`
`string topic = 2 [json_name = "topic"];`
`DaprProtos.PubsubSubscription.Builder`
`setType(DaprProtos.PubsubSubscriptionType value)`
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`
`DaprProtos.PubsubSubscription.Builder`
`setTypeValue(int value)`
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`
`final DaprProtos.PubsubSubscription.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### internalGetMutableMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)

Overrides:
  `internalGetMutableMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### clear

public DaprProtos.PubsubSubscription.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### getDefaultInstanceForType

public DaprProtos.PubsubSubscription getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.PubsubSubscription build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.PubsubSubscription buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.PubsubSubscription.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### setField

public DaprProtos.PubsubSubscription.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### clearField

public DaprProtos.PubsubSubscription.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### clearOneof

public DaprProtos.PubsubSubscription.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### setRepeatedField

public DaprProtos.PubsubSubscription.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### addRepeatedField

public DaprProtos.PubsubSubscription.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### mergeFrom

public DaprProtos.PubsubSubscription.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.PubsubSubscription.Builder>`

### mergeFrom

public DaprProtos.PubsubSubscription.Builder mergeFrom(DaprProtos.PubsubSubscription other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### mergeFrom

public DaprProtos.PubsubSubscription.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.PubsubSubscription.Builder>`
Throws:
  `IOException`

### getPubsubName

public String getPubsubName()
`string pubsub_name = 1 [json_name = "pubsubname"];`

Specified by:
  `getPubsubName` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  The pubsubName.

### getPubsubNameBytes

public com.google.protobuf.ByteString getPubsubNameBytes()
`string pubsub_name = 1 [json_name = "pubsubname"];`

Specified by:
  `getPubsubNameBytes` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  The bytes for pubsubName.

### setPubsubName

public DaprProtos.PubsubSubscription.Builder setPubsubName(String value)
`string pubsub_name = 1 [json_name = "pubsubname"];`

Parameters:
  `value` - The pubsubName to set.
Returns:
  This builder for chaining.

### clearPubsubName

public DaprProtos.PubsubSubscription.Builder clearPubsubName()
`string pubsub_name = 1 [json_name = "pubsubname"];`

Returns:
  This builder for chaining.

### setPubsubNameBytes

public DaprProtos.PubsubSubscription.Builder setPubsubNameBytes(com.google.protobuf.ByteString value)
`string pubsub_name = 1 [json_name = "pubsubname"];`

Parameters:
  `value` - The bytes for pubsubName to set.
Returns:
  This builder for chaining.

### getTopic

public String getTopic()
`string topic = 2 [json_name = "topic"];`

Specified by:
  `getTopic` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  The topic.

### getTopicBytes

public com.google.protobuf.ByteString getTopicBytes()
`string topic = 2 [json_name = "topic"];`

Specified by:
  `getTopicBytes` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  The bytes for topic.

### setTopic

public DaprProtos.PubsubSubscription.Builder setTopic(String value)
`string topic = 2 [json_name = "topic"];`

Parameters:
  `value` - The topic to set.
Returns:
  This builder for chaining.

### clearTopic

public DaprProtos.PubsubSubscription.Builder clearTopic()
`string topic = 2 [json_name = "topic"];`

Returns:
  This builder for chaining.

### setTopicBytes

public DaprProtos.PubsubSubscription.Builder setTopicBytes(com.google.protobuf.ByteString value)
`string topic = 2 [json_name = "topic"];`

Parameters:
  `value` - The bytes for topic to set.
Returns:
  This builder for chaining.

### getMetadataCount

public int getMetadataCount()
Description copied from interface: `DaprProtos.PubsubSubscriptionOrBuilder`
`map<string, string> metadata = 3 [json_name = "metadata"];`

Specified by:
  `getMetadataCount` in interface `DaprProtos.PubsubSubscriptionOrBuilder`

### containsMetadata

public boolean containsMetadata(String key)
`map<string, string> metadata = 3 [json_name = "metadata"];`

Specified by:
  `containsMetadata` in interface `DaprProtos.PubsubSubscriptionOrBuilder`

### getMetadata

@Deprecated public Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.PubsubSubscriptionOrBuilder`

### getMetadataMap

public Map<String,String> getMetadataMap()
`map<string, string> metadata = 3 [json_name = "metadata"];`

Specified by:
  `getMetadataMap` in interface `DaprProtos.PubsubSubscriptionOrBuilder`

### getMetadataOrDefault

public String getMetadataOrDefault(String key, String defaultValue)
`map<string, string> metadata = 3 [json_name = "metadata"];`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.PubsubSubscriptionOrBuilder`

### getMetadataOrThrow

public String getMetadataOrThrow(String key)
`map<string, string> metadata = 3 [json_name = "metadata"];`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.PubsubSubscriptionOrBuilder`

### clearMetadata

public DaprProtos.PubsubSubscription.Builder clearMetadata()

### removeMetadata

public DaprProtos.PubsubSubscription.Builder removeMetadata(String key)
`map<string, string> metadata = 3 [json_name = "metadata"];`

### getMutableMetadata

@Deprecated public Map<String,String> getMutableMetadata()
Deprecated.
Use alternate mutation accessors instead.

### putMetadata

public DaprProtos.PubsubSubscription.Builder putMetadata(String key, String value)
`map<string, string> metadata = 3 [json_name = "metadata"];`

### putAllMetadata

public DaprProtos.PubsubSubscription.Builder putAllMetadata(Map<String,String> values)
`map<string, string> metadata = 3 [json_name = "metadata"];`

### hasRules

public boolean hasRules()
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

Specified by:
  `hasRules` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  Whether the rules field is set.

### getRules

public DaprProtos.PubsubSubscriptionRules getRules()
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

Specified by:
  `getRules` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  The rules.

### setRules

public DaprProtos.PubsubSubscription.Builder setRules(DaprProtos.PubsubSubscriptionRules value)
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

### setRules

public DaprProtos.PubsubSubscription.Builder setRules(DaprProtos.PubsubSubscriptionRules.Builder builderForValue)
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

### mergeRules

public DaprProtos.PubsubSubscription.Builder mergeRules(DaprProtos.PubsubSubscriptionRules value)
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

### clearRules

public DaprProtos.PubsubSubscription.Builder clearRules()
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

### getRulesBuilder

public DaprProtos.PubsubSubscriptionRules.Builder getRulesBuilder()
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

### getRulesOrBuilder

public DaprProtos.PubsubSubscriptionRulesOrBuilder getRulesOrBuilder()
`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

Specified by:
  `getRulesOrBuilder` in interface `DaprProtos.PubsubSubscriptionOrBuilder`

### getDeadLetterTopic

public String getDeadLetterTopic()
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`

Specified by:
  `getDeadLetterTopic` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  The deadLetterTopic.

### getDeadLetterTopicBytes

public com.google.protobuf.ByteString getDeadLetterTopicBytes()
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`

Specified by:
  `getDeadLetterTopicBytes` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  The bytes for deadLetterTopic.

### setDeadLetterTopic

public DaprProtos.PubsubSubscription.Builder setDeadLetterTopic(String value)
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`

Parameters:
  `value` - The deadLetterTopic to set.
Returns:
  This builder for chaining.

### clearDeadLetterTopic

public DaprProtos.PubsubSubscription.Builder clearDeadLetterTopic()
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`

Returns:
  This builder for chaining.

### setDeadLetterTopicBytes

public DaprProtos.PubsubSubscription.Builder setDeadLetterTopicBytes(com.google.protobuf.ByteString value)
`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`

Parameters:
  `value` - The bytes for deadLetterTopic to set.
Returns:
  This builder for chaining.

### getTypeValue

public int getTypeValue()
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`

Specified by:
  `getTypeValue` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  The enum numeric value on the wire for type.

### setTypeValue

public DaprProtos.PubsubSubscription.Builder setTypeValue(int value)
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

### getType

public DaprProtos.PubsubSubscriptionType getType()
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`

Specified by:
  `getType` in interface `DaprProtos.PubsubSubscriptionOrBuilder`
Returns:
  The type.

### setType

public DaprProtos.PubsubSubscription.Builder setType(DaprProtos.PubsubSubscriptionType value)
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public DaprProtos.PubsubSubscription.Builder clearType()
`.dapr.proto.runtime.v1.PubsubSubscriptionType type = 6 [json_name = "type"];`

Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.PubsubSubscription.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`

### mergeUnknownFields

public final DaprProtos.PubsubSubscription.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscription.Builder>`